



pip check
IF %ERRORLEVEL% NEQ 0 exit /B 1
python test/smoke_test.py
IF %ERRORLEVEL% NEQ 0 exit /B 1
pytest --verbose --durations=50 -k "not (test_internet or test_detection_model or test_forward_backward or test_jit_forward_backward)" test/test_image.py
IF %ERRORLEVEL% NEQ 0 exit /B 1
pytest --verbose --durations=50 -k "not (test_internet or test_detection_model or test_forward_backward or test_jit_forward_backward)" test/test_transforms_v2.py
IF %ERRORLEVEL% NEQ 0 exit /B 1
pytest --verbose --durations=50 -k "not (test_internet or test_detection_model or test_forward_backward or test_jit_forward_backward)" test/test_datasets.py
IF %ERRORLEVEL% NEQ 0 exit /B 1
pytest --verbose --durations=50 -k "not (test_internet or test_detection_model or test_forward_backward or test_jit_forward_backward)" test/test_ops.py
IF %ERRORLEVEL% NEQ 0 exit /B 1
exit /B 0
